# MeshDataStructure::TConstVertex Class Reference

Inheritance diagram for MeshDataStructure::TConstVertex:

List of all members.

## Public Member Functions
| TConstVertex (const TVertexArray &vertexArray, const uint32 index)
const TVector3 & | GetPosition () const
const int32 | GetUVsCount () const
const TVector2 & | GetUV (const int32 index) const
const int32 | GetBarycentricCoordCount () const
const TVector3 & | GetBarycentricCoordinates (const int32 index) const
int32 | GetEdgeCount () const
int32 | GetEdgeIndex (int32 index) const
const TNormalData & | GetNormals () const
int32 | GetNormalCount () const
const TVector3 & | GetNormal (const int32 index) const
int32 | GetPolygonCount () const
int32 | GetPolygonIndex (int32 index) const
boolean | operator== (const TConstVertex &vertex) const
int32 | Edge (const TMCClassArray< TEdge > &edgeList, int32 vertexIndex) const
int32 | GetNormalIndex (int32 polygonIndex) const
const TVector3 & | GetPolygonNormal (int32 polygonIndex) const
const TMCColorRGBA8 & | GetColor () const
## Protected Attributes
const TVertexArray & | fVertexArray
const uint32 | fIndex

## Constructor & Destructor Documentation

MeshDataStructure::TConstVertex::TConstVertex | ( | const TVertexArray & | vertexArray,
|  | const uint32 | index |
| ) |  |  | `[inline]`

## Member Function Documentation

int32 MeshDataStructure::TConstVertex::Edge | ( | const TMCClassArray< TEdge > & | edgeList,
|  | int32 | vertexIndex |
| ) |  |  | const

const int32 MeshDataStructure::TConstVertex::GetBarycentricCoordCount | ( |  | ) | const`[inline]`

const TVector3& MeshDataStructure::TConstVertex::GetBarycentricCoordinates | ( | const int32 | index | ) | const`[inline]`

const TMCColorRGBA8& MeshDataStructure::TConstVertex::GetColor | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TConstVertex::GetEdgeCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TConstVertex::GetEdgeIndex | ( | int32 | index | ) | const`[inline]`

const TVector3& MeshDataStructure::TConstVertex::GetNormal | ( | const int32 | index | ) | const`[inline]`

int32 MeshDataStructure::TConstVertex::GetNormalCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TConstVertex::GetNormalIndex | ( | int32 | polygonIndex | ) | const

const TNormalData& MeshDataStructure::TConstVertex::GetNormals | ( |  | ) | const`[inline]`

Reimplemented in MeshDataStructure::TVertex.

int32 MeshDataStructure::TConstVertex::GetPolygonCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TConstVertex::GetPolygonIndex | ( | int32 | index | ) | const`[inline]`

const TVector3& MeshDataStructure::TConstVertex::GetPolygonNormal | ( | int32 | polygonIndex | ) | const

const TVector3& MeshDataStructure::TConstVertex::GetPosition | ( |  | ) | const`[inline]`

const TVector2& MeshDataStructure::TConstVertex::GetUV | ( | const int32 | index | ) | const`[inline]`

const int32 MeshDataStructure::TConstVertex::GetUVsCount | ( |  | ) | const`[inline]`

boolean MeshDataStructure::TConstVertex::operator== | ( | const TConstVertex & | vertex | ) | const`[inline]`

## Member Data Documentation

const uint32 MeshDataStructure::TConstVertex::fIndex`[protected]`

const TVertexArray& MeshDataStructure::TConstVertex::fVertexArray`[protected]`

The documentation for this class was generated from the following file:

- MeshDataStructure.h